/*
 * Ventas.java
 *
 * Created on 26 de mayo de 2008, 03:12 PM
 */

package com.pmarlen.client.view;

import com.pmarlen.client.ApplicationInfo;
import com.pmarlen.client.BusinessException;
import java.awt.Image;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import javax.imageio.ImageIO;

/**
 *
 * @author  Alfredo Estrada
 */
public class LoginFrame extends javax.swing.JFrame {

    /** Creates new form Ventas */
    public LoginFrame() {
        initComponents();        
		setTitle(ApplicationInfo.getLocalizedMessage("APP_TITLE"));
        
    }
    
    public List<Image> getResourcesIconImages() {
        List<Image> imgs = new ArrayList<Image>();
        try {
            imgs.add(ImageIO.read(getClass().getResourceAsStream("/imgs/Logo_1.png")));
            imgs.add(ImageIO.read(getClass().getResourceAsStream("/imgs/pmarlen_icono_2.png")));
        } catch (IOException ex) {
            ex.printStackTrace();
        }
        
        return imgs;
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        claveUsuario = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        entratBtn = new javax.swing.JButton();
        password = new javax.swing.JPasswordField();
        jLabel3 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle(ApplicationInfo.getLocalizedMessage("APP_TITLE")); // NOI18N
        setIconImages(getResourcesIconImages()
        );
        setName("frameLogin"); // NOI18N
        setResizable(false);

        jLabel1.setText(ApplicationInfo.getLocalizedMessage("CLAVEUSUARIO")); // NOI18N

        jLabel2.setText(ApplicationInfo.getLocalizedMessage("PASSWORD")); // NOI18N

        entratBtn.setText(ApplicationInfo.getLocalizedMessage("ACCEPT")); // NOI18N

        jLabel3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imgs/sp_security.jpg"))); // NOI18N

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel3)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(41, 41, 41)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel1)
                            .addComponent(jLabel2))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(claveUsuario)
                            .addComponent(password, javax.swing.GroupLayout.DEFAULT_SIZE, 77, Short.MAX_VALUE)))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(92, 92, 92)
                        .addComponent(entratBtn)))
                .addGap(71, 71, 71))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel3))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(47, 47, 47)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel1)
                            .addComponent(claveUsuario, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(password, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(45, 45, 45)
                        .addComponent(entratBtn)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-424)/2, (screenSize.height-246)/2, 424, 246);
    }// </editor-fold>//GEN-END:initComponents

    static int intentos = 0;

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField claveUsuario;
    private javax.swing.JButton entratBtn;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JPasswordField password;
    // End of variables declaration//GEN-END:variables

    /**
     * @return the claveUsuario
     */
    public javax.swing.JTextField getClaveUsuario() {
        return claveUsuario;
    }

    /**
     * @return the entratBtn
     */
    public javax.swing.JButton getEntratBtn() {
        return entratBtn;
    }

    /**
     * @return the password
     */
    public javax.swing.JPasswordField getPassword() {
        return password;
    }

}
